const Mock = require('mockjs')

const supplierList = []
const count = 20

for (let i = 0; i < count; i++) {
  supplierList.push(Mock.mock({
    authUserId: '@increment(1)',
    brandId: '@id', // 品牌id
    name: '@cname',
    linkMan: '@cname', // 联系人
    mobile: '18888888888', // 手机号
    pageNum: 0, // 页码
    pageSize: 20, // 分页大小
    shopName: '@cname', // 供应商名称
    shopType: '@boolean', // 供应商类型
    shopStatus: '@integer(0,1)',
    brandName: '@ctitle',
    createTime: '@date',
    createBy: '@name'
  }))
}

module.exports = [
  // {
  //   url: '/shop/list',
  //   type: 'get',
  //   response: config => {
  //     return {
  //       code: 0,
  //       data: {
  //         list: supplierList,
  //         total: supplierList.length
  //       }
  //     }
  //   }
  // }
]

